View Issue Details

IDProjectCategoryView StatusLast Update
0007412Kali Linux[All Projects] General Bugpublic2021-10-19 09:14
Reporterpoisoner Assigned Todaniruiz  
PrioritylowSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version2021.3 
Target VersionFixed in Version 
Summary0007412: Dash to Dock feature for kali side bar in gnome extensions appers to be blocked.
DescriptionThe Dash to Dock feature version 69 for kali side bar is blocked, an attempt to find the reason has been made using the settings button resulting in an error modal giving the following error response,

The settings of extension dash-to-dock@micxgx.gmail.com had an error:
```
Error: Invalid parameter interfaces (element 0 was not a GType)
```

Stack trace:
```
_init/GObject.Object._classInit@resource:///org/gnome/gjs/modules/core/overrides/GObject.js:444:27
registerClass@resource:///org/gnome/gjs/modules/core/overrides/GObject.js:78:22
@/usr/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/prefs.js:180:24
_init@resource:///org/gnome/Shell/Extensions/js/extensionsService.js:204:33
OpenExtensionPrefsAsync/<@resource:///org/gnome/Shell/Extensions/js/extensionsService.js:122:28
asyncCallback@resource:///org/gnome/gjs/modules/core/overrides/Gio.js:115:22
run@resource:///org/gnome/Shell/Extensions/js/dbusService.js:177:20
main@resource:///org/gnome/Shell/Extensions/js/main.js:19:13
run@resource:///org/gnome/gjs/modules/script/package.js:206:19
start@resource:///org/gnome/gjs/modules/script/package.js:190:8
@/usr/share/gnome-shell/org.gnome.Shell.Extensions:1:17
```
please note that an upgrade may have been done to the gdm by the apt package manager resulting in this bug.
Steps To Reproduce1] Open extensions

2] Navigate to Dash to Dock option

The option parameter is disabled.

Activities

poisoner

2021-10-16 23:50

reporter  

blaqsense

2021-10-17 20:39

reporter   ~0015311

Same here but not i'm not able to even view my extension pack. I saw an update that said extension and soon after my favorites are no longer visible.

blaqsense

2021-10-18 19:34

reporter   ~0015314

After updating/upgrading this morning 10/18/21 the patch works and I can now access my favorites and dock is no longer blocked...
Thank you,

Kali Linux-2021-10-18-15-34-31.png (526,285 bytes)

daniruiz

2021-10-19 09:08

manager   ~0015321

With the update of GNOME 40 this is now fixed.

Issue History

Date Modified Username Field Change
2021-10-16 23:50 poisoner New Issue
2021-10-16 23:50 poisoner File Added: Screenshot from 2021-10-17 01-50-02.png
2021-10-17 20:39 blaqsense File Added: Kali Linux-2021-10-17-16-38-45.png
2021-10-17 20:39 blaqsense Note Added: 0015311
2021-10-18 19:34 blaqsense File Added: Kali Linux-2021-10-18-15-34-31.png
2021-10-18 19:34 blaqsense Note Added: 0015314
2021-10-19 09:08 daniruiz Note Added: 0015321
2021-10-19 09:14 daniruiz Assigned To => daniruiz
2021-10-19 09:14 daniruiz Status new => resolved
2021-10-19 09:14 daniruiz Resolution open => fixed